use slint::SharedString;

pub enum CallbackMessage {
    /// The escape key was pressed.
    Escape,
    Login(CallbackMessageLogin),
    Users(CallbackMessageUsers),
    UserEdit(CallbackMessageUserEdit),
    UserSites(CallbackMessageUserSites),
}

pub enum CallbackMessageLogin {
    PwAccepted {
        username: SharedString,
        password: SharedString,
    },
}

pub enum CallbackMessageUsers {
    EditUser { username: SharedString, new: bool },
}

pub enum CallbackMessageUserEdit {
    ComputeIdenticon {
        encrypted_key: SharedString,
        password: SharedString,
    },
    Confirm {
        encrypted_key: SharedString,
    },
}

pub enum CallbackMessageUserSites {}
